Opened 2 years ago

Last modified 2 years ago

#6753 closed change

Update adblockplusui/adblockpluscore dependency to TBA/212fe705ab82 — at Version 3

Reported by: wspee Assignee:
Priority: Unknown Milestone: Adblock-Plus-3.3-for-Chrome-Opera-Firefox
Module: Platform Keywords:
Cc: greiner, sebastian, mjethani Blocked By: #6559, #6739
Blocking: Platform: Unknown / Cross platform
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description (last modified by wspee)

Background

In #6559 FilterStorage.knownSubscriptions was changed to a Map object which necessitates #6739 to ensure the user interface stays compatible. To ensure a working extension we (Sebastian/Winsley) plan to update the abpui/abpcore dependencies together, without further ui changes (there will be a separate ui dependency update at the end of the 3.3 cycle to land the latest ui changes), right after the release of ABP 3.2.

What to change

Update adblockplusui dependecy to hg:TBA git:TBA


Update adblockpluscore dependency to hg:0cf4e33d288b git:b4e73b3


Change History (3)

comment:1 Changed 2 years ago by wspee

@Sebastian/@Manish

adblockpluscore:212fe705ab82 is needed for #6739 to work but I don't know if 212fe705ab82 is sufficient in it self and/or further platform changes are needed for compatibility with the latest core, so feel free to update the core dependency/description as needed.

comment:2 Changed 2 years ago by mjethani

@wspee I would just update the dependency to 0cf4e33d288b. In #6559 I have mentioned the changes so far, I think #6739 should be sufficient.

comment:3 Changed 2 years ago by wspee

  • Description modified (diff)

@Manish Ok, thanks. I have updated the description to update the core dependency to 0cf4e33d288b instead.

Note: See TracTickets for help on using tickets.